# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetPickPoint

Function

Returns the pick point in world coordinates.

Syntax
`
#include <dx/dx.h>
`

Error DXGetPickPoint(Field picks, int poke, int pick, Point *point)

Functional Details

Given `picks` pick information, poke number `poke`, and pick number `pick`, the routine returns the pick point in `point`.

A `Point` is defined as follows:
`
typedef struct point {
float x, y, z;
} Point, Vector;
`

Return Value

Returns `OK` or returns `NULL` and sets an error code.

See Also

`DXQueryPickCount, DXQueryPickPath, DXQueryPokeCount, DXTraversePickPath`

14.6 , "Pick-Assistance Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]